Get all Support Tickets
Returns all the support tickets
This endpoint will return all support ticket details for a particular page & pageSize
Returns all the support tickets details.
POST https://api.onramp.money/onramp/api/v2/whiteLabel/support/allTickets
Request Body
Name
Type
Description
customerId*
String
Unique id received from /customers
page*
String
Current page Number
Should be greater than 0
pageSize*
String
Number of Transactions per page. Should be greater than 0 and less than 500
{
"status": 1,
"code": 200,
"data": [
{
"ticketId": "33399",
"createdAt": "2023-11-21T17:37:48.000Z",
"status": "2",
"ticketDetails": [
{
"user": "This is a test ticket."
}
]
},
{
"ticketId": "33391",
"createdAt": "2023-11-21T15:09:00.000Z",
"status": "2",
"ticketDetails": [
{
"user": "This is a test ticket again"
},
{
"supportTeam": "Hi test user, Hello we received your ticket. This message will be stored as a test ticket."
}
]
}
]
}status -> 0 is for unsuccessful request, 1 is for a successful one.
ticketId -> The unique support ticket Id for Onramp.
status -> Current ticket status . Will always be among these value
2 -> OPEN
3 -> PENDING
4 -> RESOLVED
5 -> CLOSED
ticketDetails -> This will contain all the current ticket conversations.
Last updated